# QGraphicsEllipseItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractGraphicsShapeItem.

### Constructor

- void QGraphicsEllipseItem(QGraphicsItem parent, QGraphicsScene scene)
- void QGraphicsEllipseItem(QRectF rect, QGraphicsItem parent, QGraphicsScene scene)
- void QGraphicsEllipseItem(qreal x, qreal y, qreal w, qreal h, QGraphicsItem parent, QGraphicsScene scene)

### Constructor Properties

- prototype: The QGraphicsEllipseItem prototype object

### Prototype Object Properties

The QGraphicsEllipseItem prototype object inherits properties from the QAbstractGraphicsShapeItem prototype object and also has the following properties.

- QRectF rect()
- void setRect(QRectF rect)
- void setSpanAngle(int angle)
- void setStartAngle(int angle)
- int spanAngle()
- int startAngle()

### Instance Properties

QGraphicsEllipseItem objects have no special properties beyond those inherited from the QGraphicsEllipseItem prototype object.